#если есть системная реализация getopt - используем ее, иначе используем свою
find_file(GETOPT_PATH getopt.h PATH_SUFFIXES getopt)
if(NOT GETOPT_PATH)
    if(NOT GETOPT_SRC_DIR)
      set(GETOPT_SRC_DIR getopt)
    endif(NOT GETOPT_SRC_DIR)
    message(STATUS "getopt.h - not found. Internal realization of getopt will be used")
    set (SOURCES ${SOURCES} ${GETOPT_SRC_DIR}/getopt.c ${GETOPT_SRC_DIR}/getopt1.c)
    set (HEADERS ${HEADERS} ${GETOPT_SRC_DIR}/getopt.h)
    include_directories(${GETOPT_SRC_DIR})
else(NOT GETOPT_PATH)
    message(STATUS "getopt.h - found : ${GETOPT_PATH}")
endif(NOT GETOPT_PATH)
